"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../uni_modules/uview-plus/index.js");
const api_api = require("../../api/api.js");
if (!Array) {
  const _easycom_z_paging2 = common_vendor.resolveComponent("z-paging");
  _easycom_z_paging2();
}
const _easycom_z_paging = () => "../../uni_modules/z-paging/components/z-paging/z-paging.js";
if (!Math) {
  _easycom_z_paging();
}
const _sfc_main = {
  __name: "incomeList",
  setup(__props) {
    common_vendor.ref({});
    const paging = common_vendor.ref(null);
    let dataList = common_vendor.ref([]);
    let isPagingRefNotFound = () => {
      return !paging.value;
    };
    common_vendor.onPullDownRefresh(() => {
      if (isPagingRefNotFound())
        return;
      paging.value.reload().catch(() => {
      });
    });
    common_vendor.onPageScroll((e) => {
      if (isPagingRefNotFound())
        return;
      paging.value.updatePageScrollTop(e.scrollTop);
      e.scrollTop < 10 && paging.value.doChatRecordLoadMore();
    });
    common_vendor.onReachBottom(() => {
      if (isPagingRefNotFound())
        return;
      paging.value.pageReachBottom();
    });
    const queryList = (pageNo, pageSize) => {
      const params = {
        current: pageNo,
        pageSize
      };
      api_api.walletRecord(params).then((res) => {
        paging.value.complete(res);
      }).catch((res) => {
        paging.value.complete(false);
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(common_vendor.unref(dataList), (item, index, i0) => {
          return {
            a: common_vendor.t(item.recordName || "-"),
            b: common_vendor.t(item.createTime),
            c: common_vendor.t(item.amount),
            d: index
          };
        }),
        b: () => ({
          r: paging,
          k: "paging"
        }),
        c: common_vendor.o(queryList),
        d: common_vendor.o(($event) => common_vendor.isRef(dataList) ? dataList.value = $event : dataList = $event),
        e: common_vendor.p({
          ["use-page-scroll"]: true,
          modelValue: common_vendor.unref(dataList)
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8f9930cc"]]);
_sfc_main.__runtimeHooks = 1;
my.createPage(MiniProgramPage);
